#-----------------------------------------------------------------------------------------------------------------------
# Rampart Class Ship
#-----------------------------------------------------------------------------------------------------------------------

class_name RampartClass extends Ship

#-----------------------------------------------------------------------------------------------------------------------

func _init():
    # Set the class's attributes.
    self.maxHealth = 500
    self.health = self.maxHealth
    self.attack = 50
    self.soak = 5
    self.mass = 50

    #-------------------------------------------------------------------------------------------------------------------
    # Aligment Properties
    #-------------------------------------------------------------------------------------------------------------------

    self.maxNominalLinearSpeed = 2000
    self.maxFlankLinearSpeed = 2200

    self.maxNominalLinearAccel = 50
    self.maxFlankLinearAccel = 50

    self.arrivalTolerance = 10

    #-------------------------------------------------------------------------------------------------------------------
    # Orientation Properties
    #-------------------------------------------------------------------------------------------------------------------

    self.maxNominalAngularSpeed = 40
    self.maxFlankAngularSpeed = 45

    self.maxNominalAngularAccel = 2
    self.maxFlankAngularAccel = 2

    self.alignmentTolerance = 1

    #-------------------------------------------------------------------------------------------------------------------


    # This needs to happen last in top level classes.
    super._init()

#-----------------------------------------------------------------------------------------------------------------------
